package com.philisense.www.service.impl;


import com.philisense.www.dao.ProMenuAuthDAO;
import com.philisense.www.service.ProMenuAuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class ProMenuAuthServiceImpl implements ProMenuAuthService {

@Autowired
private ProMenuAuthDAO proMenuAuthDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proMenuAuthDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proMenuAuthDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proMenuAuthDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proMenuAuthDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proMenuAuthDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proMenuAuthDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proMenuAuthDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proMenuAuthDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proMenuAuthDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proMenuAuthDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proMenuAuthDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proMenuAuthDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proMenuAuthDAO.updateBatch(list);
}

    @Override
    public List<Map<String, Object>> getAllMenuTreeByAuthID(Map<String, Object> map) {
        return proMenuAuthDAO.getAllMenuTreeByAuthID(map);
    }

    @Override
    public List<Map<String, Object>> getPageAuthByMenuTreeId(Map<String, Object> map) {
        return proMenuAuthDAO.getPageAuthByMenuTreeId(map);
    }

    @Override
    public int getCountAuthByMenuTreeId(Map<String, Object> map) {
        return proMenuAuthDAO.getCountAuthByMenuTreeId(map);
    }

    @Override
    public int updateDropNode(Map<String, Object> map) {
        return proMenuAuthDAO.updateDropNode(map);
    }

    @Override
    public void deleteBatchByAuthID(Map<String, Object> map) {
        proMenuAuthDAO.deleteBatchByAuthID(map);
    }
}